# -*- coding: utf-8 -*-
"""SENSORS v.3.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1YPMzCghhxWri9HSezjJHEeFio-JIDFBR
"""

!pip install pydub
!pip install praat-parselmouth
import parselmouth
import tensorflow as tf
import numpy as np
import scipy
from scipy import misc
import glob
from PIL import Image
import os
import matplotlib.pyplot as plt
import librosa
import pandas as pd
from pydub import AudioSegment
import seaborn as sns
from scipy import signal as sg
from scipy.io import wavfile
import math

threshold = 80

from google.colab import drive
drive.mount('/content/drive')

i = 0
du = 20
j=0
for filename in os.listdir(os.path.join('/content/drive/MyDrive/ASMA/Work Package 5/BR/CUT')):
    if filename != '.DS_Store':
      song  =  os.path.join('/content/drive/MyDrive/ASMA/Work Package 5/BR/CUT',f'{filename}')
      j = j+1
      for w in range(0,151):
        i = i+1
        #print(i)
        t1 = du*(w)*1000
        t2 = du*(w+1)*1000
        newAudio = AudioSegment.from_file(song)
        new = newAudio[t1:t2]
        print(new.duration_seconds)
        if new.duration_seconds == du:
          new.export(f'/content/drive/MyDrive/ASMA/Work Package 5/BR/2sec/{str(w)}.wav', format="wav")

"""#MIC TO PITCH"""

i=0
MIC_PITCH = []
for filename in os.listdir(os.path.join('/content/drive/MyDrive/ASMA/Work Package 5/BR/DATASET/MIC/')):
    if filename != '.DS_Store':
      snd = parselmouth.Sound('/content/drive/MyDrive/ASMA/Work Package 5/BR/DATASET/MIC/' + str(i) +'.wav')
      pitch = snd.to_pitch()
      pitch_values = pitch.selected_array['frequency']
      #print('F0 = '+str(np.mean(pitch_values[pitch_values>threshold])))
      MIC_PITCH.append(np.mean(pitch_values[pitch_values>threshold]))
      i=i+1

print(MIC_PITCH)

"""#EGG TO PITCH"""

i=0
EGG_PITCH = []
for filename in os.listdir(os.path.join('/content/drive/MyDrive/ASMA/Work Package 5/BR/DATASET/EGG/')):
    if filename != '.DS_Store':
      snd = parselmouth.Sound('/content/drive/MyDrive/ASMA/Work Package 5/BR/DATASET/EGG/' + str(i) +'.wav')
      pitch = snd.to_pitch()
      pitch_values = pitch.selected_array['frequency']
      #print('F0 = '+str(np.mean(pitch_values[pitch_values>threshold])))
      EGG_PITCH.append(np.mean(pitch_values[pitch_values>threshold]))
      i=i+1

print(EGG_PITCH)

print(MIC_PITCH)
print(EGG_PITCH)

"""# MIC TO EGG SUBTRACT"""

import numpy as np
np.set_printoptions(suppress=True)
SUB_PITCH = []
decimals = 4

EGG_PITCH_NP = np.array(EGG_PITCH)
EGG_PITCH_NP = np.around(EGG_PITCH_NP,decimals)

MIC_PITCH_NP = np.array(MIC_PITCH)
MIC_PITCH_NP = np.around(MIC_PITCH_NP,decimals)

SUB_PITCH_NP = np.array(SUB_PITCH)

SUB_PITCH_NP = MIC_PITCH_NP - EGG_PITCH_NP
SUB_PITCH_NP = np.around(SUB_PITCH_NP,decimals)


SUB = SUB_PITCH_NP
print(SUB.shape)

print('MIC')
print(MIC_PITCH_NP)
print(MIC_PITCH_NP.shape)

print('EGG')
print(EGG_PITCH_NP)
print(EGG_PITCH_NP.shape)

print('SUBTRACT')
print(SUB)

"""#MEL SCALE"""

#def freqToMel(f):
#    return 1127 * math.log(1 + (f/700))
decimals = 4
MEL_MIC_PITCH_NP = np.zeros(456)
MEL_EGG_PITCH_NP = np.zeros(456)
MEL_SUB_PITCH_NP = np.zeros(456)

for i in range (0, 456):
  MEL_MIC_PITCH_NP[i] = 1127 * math.log(1 + (MIC_PITCH_NP[i]/700))
  MEL_EGG_PITCH_NP[i] = 1127 * math.log(1 + (EGG_PITCH_NP[i]/700))

MEL_SUB_PITCH_NP = MEL_MIC_PITCH_NP - MEL_EGG_PITCH_NP
MEL_SUB_PITCH_NP = np.around(MEL_SUB_PITCH_NP,decimals)

print(MEL_SUB_PITCH_NP)

"""#PARSE BREATHINESS EVALUATION"""

br_eval_df = pd.read_csv('/content/drive/MyDrive/ASMA/Work Package 5/BR/breathiness.csv')
BR_EVAL = br_eval_df.to_numpy()
BR_EVAL = BR_EVAL.flatten()
#type(BR_EVAL)
#BR_EVAL.size
print(BR_EVAL.shape)
print(BR_EVAL)

"""# COMPARISON"""

import sys
np.set_printoptions(threshold=sys.maxsize)
COMP = np.zeros((456, 6))
#print(COMP.shape)

for i in range (0, 456):
  COMP[i][0]=i
  COMP[i][1]=MIC_PITCH_NP[i]
  COMP[i][2]=EGG_PITCH_NP[i]
  COMP[i][3]=SUB_PITCH_NP[i]
  COMP[i][4]=abs(SUB_PITCH_NP[i])
  COMP[i][5]=BR_EVAL[i]

print(COMP)

"""# PRINT OUT"""

err = np. empty(0,dtype=int)
max_dif = 10
print(COMP.shape)
j=0
count = 0
for j in range (0, 456):
  if COMP[j][4]>max_dif:
    print(j)
    count = count + 1
    err = np.append(err, j)
print('count = ', count)
#print(err.size)
#print(err.shape)
#print(type(err))
print(err)

"""# PLOT PITCH DIFS"""

x = COMP[:,5]
y = COMP[:,3]

plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
plt.ylabel("FREQUENCY (PITCH DIFFERENCE)")
plt.xlabel("BREATHINESS")
#plt.xticks(np.arange(0, 4, 0.25))
#plt.yticks(np.arange(-300, 300, 50))
#plt.grid(color = 'grey', linestyle = '-', alpha=0.3, linewidth = 0.5)
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
#plt.title('PITCH  BREATHINESS')
plt.show()

x = COMP[:,5]
y = COMP[:,4]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('PITCH  BREATHINESS')
plt.show()

"""# READ OQ CSV"""

oq_all_df = pd.read_csv('/content/drive/MyDrive/ASMA/Work Package 5/BR/OQ_ALL.csv')
OQ_ALL = oq_all_df.to_numpy()
#OQ_ALL = OQ_ALL.flatten()
#type(BR_EVAL)
#BR_EVAL.size
print(OQ_ALL.shape)
#print(OQ_ALL[0])
#print(OQ_ALL[1])
#print(OQ_ALL[352][0])

DOQ = np.zeros(456)
HOQ = np.zeros(456)
DOQ_COUNT = np.zeros(456)
for i in range (0, 203089):
  ind = OQ_ALL[i][0]
  DOQ[ind] = DOQ[ind] + OQ_ALL[i][7]
  HOQ[ind] = HOQ[ind] + OQ_ALL[i][8]
  DOQ_COUNT[ind] = DOQ_COUNT[ind] + 1
for j in range (0, 456):
  DOQ[j] = DOQ[j]/DOQ_COUNT[j]
  HOQ[j] = HOQ[j]/DOQ_COUNT[j]

print(DOQ)
print(HOQ)

"""# FINAL COMPARISON"""

import sys
np.set_printoptions(threshold=sys.maxsize)
#print(COMP.shape)

cpp_eval_df = pd.read_csv('/content/drive/MyDrive/ASMA/Work Package 5/BR/CPPs.csv')
CPP_EVAL = cpp_eval_df.to_numpy()
CPP_EVAL = CPP_EVAL.flatten()
#type(BR_EVAL)
#BR_EVAL.size
print(CPP_EVAL.shape)
print(CPP_EVAL)

print(CPP_EVAL[0])
print(CPP_EVAL[455])

COMP = np.zeros((456, 7))
for i in range (0, 456):
  COMP[i][0]=i
  COMP[i][1]=MIC_PITCH_NP[i]
  COMP[i][2]=EGG_PITCH_NP[i]
  COMP[i][3]=SUB_PITCH_NP[i]
  COMP[i][4]=abs(SUB_PITCH_NP[i])
  COMP[i][5]=BR_EVAL[i]
  COMP[i][6]=CPP_EVAL[i]
print(COMP)
print(COMP.shape)

x = COMP[:,5]
y = COMP[:,6]
#x = COMP[:,5]
#y = COMP[:,6]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('CPP  BREATHINESS')
plt.show()

import sys
np.set_printoptions(threshold=sys.maxsize)
#print(COMP.shape)

cpp_egg_eval_df = pd.read_csv('/content/drive/MyDrive/ASMA/Work Package 5/BR/CPPs-EGG.csv')
CPP_EGG_EVAL = cpp_egg_eval_df.to_numpy()
CPP_EGG_EVAL = CPP_EGG_EVAL.flatten()
#type(BR_EVAL)
#BR_EVAL.size
print(CPP_EGG_EVAL.shape)
print(CPP_EGG_EVAL)

print(CPP_EGG_EVAL[0])
print(CPP_EGG_EVAL[455])

COMP = np.zeros((456, 8))
for i in range (0, 456):
  COMP[i][0]=i
  COMP[i][1]=MIC_PITCH_NP[i]
  COMP[i][2]=EGG_PITCH_NP[i]
  COMP[i][3]=SUB_PITCH_NP[i]
  COMP[i][4]=abs(SUB_PITCH_NP[i])
  COMP[i][5]=BR_EVAL[i]
  COMP[i][6]=CPP_EVAL[i]
  COMP[i][7]=CPP_EGG_EVAL[i]
print(COMP)
print(COMP.shape)

x = COMP[:,5]
y = COMP[:,7]
#x = COMP[:,5]
#y = COMP[:,6]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('CPP EGG  BREATHINESS')
plt.show()

COMP = np.zeros((456, 10))
for i in range (0, 456):
  COMP[i][0]=i
  COMP[i][1]=MIC_PITCH_NP[i]
  COMP[i][2]=EGG_PITCH_NP[i]
  COMP[i][3]=SUB_PITCH_NP[i]
  COMP[i][4]=abs(SUB_PITCH_NP[i])
  COMP[i][5]=BR_EVAL[i]
  COMP[i][6]=CPP_EVAL[i]
  COMP[i][7]=CPP_EGG_EVAL[i]
  COMP[i][8]=DOQ[i]
  COMP[i][9]=HOQ[i]
print(COMP)
print(COMP.shape)

"""# PLOT OQs"""

x = COMP[:,5]
y = COMP[:,8]
#x = COMP[:,5]
#y = COMP[:,6]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('DEGGG-OQ BREATHINESS')
plt.show()

x = COMP[:,5]
y = COMP[:,9]
#x = COMP[:,5]
#y = COMP[:,6]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('HOWARD-OQ BREATHINESS')
plt.show()

"""# RESPIRATION"""

fs = 1000
#Sampling points
num_fft = 1024


from scipy.io.wavfile import read
#from playsound import playsound

audiofile = '/content/drive/MyDrive/ASMA/Work Package 5/BR/respiration/01-nb habitual medium_R.wav'

#wavFile = input()
#playsound(audiofile, 0)
a = read(audiofile)
npwave = np.array(a[1],dtype=float)

sig = npwave


# PLOT AUDIO

plt.figure(figsize=(15,3))
plt.title('AMPLITUDE')
plt.plot(npwave)
plt.show()

COMP = np.zeros((456, 13))
for i in range (0, 456):
  COMP[i][0]=i
  COMP[i][1]=MIC_PITCH_NP[i]
  COMP[i][2]=EGG_PITCH_NP[i]
  COMP[i][3]=SUB_PITCH_NP[i]
  COMP[i][4]=abs(SUB_PITCH_NP[i])
  COMP[i][5]=BR_EVAL[i]
  COMP[i][6]=CPP_EVAL[i]
  COMP[i][7]=CPP_EGG_EVAL[i]
  COMP[i][8]=DOQ[i]
  COMP[i][9]=HOQ[i]
  COMP[i][10]=MEL_MIC_PITCH_NP[i]
  COMP[i][11]=MEL_EGG_PITCH_NP[i]
  COMP[i][12]=MEL_SUB_PITCH_NP[i]
print(COMP)
print(COMP.shape)

x = COMP[:,5]
y = COMP[:,12]
#x = COMP[:,5]
#y = COMP[:,6]

plt.figure(figsize=(15,15))
plt.plot(x, y, '.', color = 'blue')
#plt.scatter(BR_list, CPP_list)
#m, b = np.polyfit(BR_list, CPP_list, 1)
#print(m)
#plt.plot(BR_list, ([m]*BR_list)+b)
sns.regplot(x, y, color = 'blue')
#plt.ylim([-400, 400])
#plt.xlim([3, 3.01])
plt.title('MEL SCALE DIF MIC/EGG - BREATHINESS')
plt.show()

"""#COMPARISON WITH DELETED VALUES"""

COMP_CLEAN = COMP
COMP_CLEAN = np.delete(COMP_CLEAN, err, axis=0)
print(COMP.shape)
print(COMP_CLEAN.shape)
print(COMP_CLEAN)

"""#FINAL PLOTS WITHOUT EXTREMES"""

plt.rcParams.update({'font.size': 20})
plt.rcParams.update({'font.family': 'STIX General'})
#from matplotlib.ticker import (MultipleLocator, AutoMinorLocator)
import seaborn as sns
xliml = -0.05
xlimr = 4.05

# PITCH DIFS / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,3]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
#plt.xticks(np.arange(0, 4, 0.25))
#plt.yticks(np.arange(-250, 250, 50))
sns.set_style("darkgrid")
#xaxis.set_minor_locator(MultipleLocator(5))
plt.grid(color = 'grey', linestyle = '-', alpha=0.3, linewidth = 0.5)
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH ABS DIFS / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,4]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH ABS DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH DIFFS MEL / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,12]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH MEL DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH CPP MIC / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,6]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("CPP MIC")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH CPP EGG / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,7]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("CPP EGG")
plt.xlabel("BREATHINESS")
plt.show()

# DEGG OQ / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,8]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("DEG OQ")
plt.xlabel("BREATHINESS")
plt.show()

# HOWARD OQ / BREATHINESS
x = COMP_CLEAN[:,5]
y = COMP_CLEAN[:,9]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("HOWARD OQ")
plt.xlabel("BREATHINESS")
plt.show()

"""#ALL PLOTS"""

plt.rcParams.update({'font.size': 20})
plt.rcParams.update({'font.family': 'STIX General'})
#from matplotlib.ticker import (MultipleLocator, AutoMinorLocator)
import seaborn as sns
xliml = -0.05
xlimr = 4.05

# PITCH DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,3]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
#plt.xticks(np.arange(0, 4, 0.25))
#plt.yticks(np.arange(-250, 250, 50))
sns.set_style("darkgrid")
#xaxis.set_minor_locator(MultipleLocator(5))
plt.grid(color = 'grey', linestyle = '-', alpha=0.3, linewidth = 0.5)
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH ABS DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,4]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH ABS DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH DIFFS MEL / BREATHINESS
x = COMP[:,5]
y = COMP[:,12]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("FREQUENCY (PITCH MEL DIFFERENCE)")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH CPP MIC / BREATHINESS
x = COMP[:,5]
y = COMP[:,6]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("CPP MIC")
plt.xlabel("BREATHINESS")
plt.show()

# PITCH CPP EGG / BREATHINESS
x = COMP[:,5]
y = COMP[:,7]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("CPP EGG")
plt.xlabel("BREATHINESS")
plt.show()

# DEGG OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,8]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("DEG OQ")
plt.xlabel("BREATHINESS")
plt.show()

# HOWARD OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,9]
plt.figure(figsize=(15,15))
plt.plot(x, y, "o", color = 'purple')
sns.regplot(x, y, color = 'orange')
plt.xlim(xliml, xlimr)
plt.ylabel("HOWARD OQ")
plt.xlabel("BREATHINESS")
plt.show()

"""Pearson Correlation Coefficient"""

from scipy import stats
dec = 10

print('___________________________________')
print('Pearson Correlation Coefficients')

# PITCH DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,3]

#my_rho = np.corrcoef(x, y)
my_rho = stats.pearsonr(x, y)
#print('DIFS / BREATHINESS cor = ', my_rho)
print('DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('DIFS / BREATHINESS p = ', round(my_rho[1], dec))


# PITCH ABS DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,4]
my_rho = stats.pearsonr(x, y)
print('ABS DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('ABS DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH DIFFS MEL / BREATHINESS
x = COMP[:,5]
y = COMP[:,12]
my_rho = stats.pearsonr(x, y)
print('MEL DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('MEL DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP MIC / BREATHINESS
x = COMP[:,5]
y = COMP[:,6]
my_rho = stats.pearsonr(x, y)
print('CPP MIC / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP MIC / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP EGG / BREATHINESS
x = COMP[:,5]
y = COMP[:,7]
my_rho = stats.pearsonr(x, y)
print('CPP EGG / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP EGG / BREATHINESS p = ', round(my_rho[1], dec))

# DEGG OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,8]
my_rho = stats.pearsonr(x, y)
print('DEG OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('DEG OQ / BREATHINESS p = ', round(my_rho[1], dec))

# HOWARD OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,9]
my_rho = stats.pearsonr(x, y)
print('HOWARD OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('HOWARD OQ / BREATHINESS p = ', round(my_rho[1], dec))

print('')
print('___________________________________')
print('')

print('___________________________________')
print('Spearman Correlation Coefficients')

# PITCH DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,3]
my_rho = stats.spearmanr(x, y)
#print('DIFS / BREATHINESS cor = ', my_rho)
print('DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH ABS DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,4]
my_rho = stats.spearmanr(x, y)
print('ABS DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('ABS DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH DIFFS MEL / BREATHINESS
x = COMP[:,5]
y = COMP[:,12]
my_rho = stats.spearmanr(x, y)
print('MEL DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('MEL DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP MIC / BREATHINESS
x = COMP[:,5]
y = COMP[:,6]
my_rho = stats.spearmanr(x, y)
print('CPP MIC / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP MIC / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP EGG / BREATHINESS
x = COMP[:,5]
y = COMP[:,7]
my_rho = stats.spearmanr(x, y)
print('CPP EGG / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP EGG / BREATHINESS p = ', round(my_rho[1], dec))

# DEGG OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,8]
my_rho = stats.spearmanr(x, y)
print('DEG OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('DEG OQ / BREATHINESS p = ', round(my_rho[1], dec))

# HOWARD OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,9]
my_rho = stats.spearmanr(x, y)
print('HOWARD OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('HOWARD OQ / BREATHINESS p = ', round(my_rho[1], dec))

print('')
print('___________________________________')
print('')

print('MEANS')
column_means = COMP.mean(axis=0)

print("MIC PITCH")
print(column_means[1])

print("MEL MIC PITCH")
print(column_means[10])

print("EGG PITCH")
print(column_means[2])

print("MEL EGG PITCH")
print(column_means[11])

print("SUB PITCH")
print(column_means[3])

print("MEL SUB PITCH")
print(column_means[12])

print("ABS SUB PITCH")
print(column_means[4])

print("BR EVAL")
print(column_means[5])

print("CPP EVAL")
print(column_means[6])

print("CPP EGG EVAL")
print(column_means[7])

print("DEGOQ")
print(column_means[8])

print("HOQ")
print(column_means[9])

print('')
print('___________________________________')
print('')

print('CLASSES (<=0.8, <=1.6, <=2.4, <=3.2, <=4)')

l = COMP.shape[0]
c = COMP.shape[1]
#print(c)
SUMS = np.zeros((5, c))
count0 = 0
count1 = 0
count2 = 0
count3 = 0
count4 = 0

for i in range (0, l):
    if (COMP[i][5] < 0.75):
      SUMS[0][0] = SUMS[0][0] + 1
      SUMS[0][1:] = SUMS[0][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 1.6):
      SUMS[1][0] = SUMS[1][0] + 1
      SUMS[1][1:] = SUMS[1][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 2.4):
      SUMS[2][0] = SUMS[2][0] + 1
      SUMS[2][1:] = SUMS[2][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 3.2):
      SUMS[3][0] = SUMS[3][0] + 1
      SUMS[3][1:] = SUMS[3][1:] + COMP[i][1:]
    else:
      SUMS[4][0] = SUMS[4][0] + 1
      SUMS[4][1:] = SUMS[4][1:] + COMP[i][1:]

print('SUM VALUES')
print(SUMS)
print('SAMLES: ', l)
#print(SUMS[0]+SUMS[1]+SUMS[2]+SUMS[3]+SUMS[4])
#print(SUMS[0][0]+SUMS[1][0]+SUMS[2][0]+SUMS[3][0]+SUMS[4][0])
#SUMS2 = np.zeros((1, 13))
#for k in range (0, 426):
#  SUMS2[0] = SUMS2[0] + COMP_CLEAN[k]
#print(SUMS2)

print('')
print('___________________________________')
print('')

print('MEAN VALUES')
MEAN = np.zeros((5, c))
for m in range (1, c):
  MEAN[0][m] = SUMS[0][m]/SUMS[0][0]
  MEAN[1][m] = SUMS[1][m]/SUMS[1][0]
  MEAN[2][m] = SUMS[2][m]/SUMS[2][0]
  MEAN[3][m] = SUMS[3][m]/SUMS[3][0]
  MEAN[4][m] = SUMS[4][m]/SUMS[4][0]
print(MEAN)
#print(SUMS[0][0], SUMS[1][0], SUMS[2][0], SUMS[3][0], SUMS[4][0])

print('')
print('___________________________________')
print('')

"""#CORRELATIONS ROUND"""

from scipy import stats
dec = 10

print('___________________________________')
print('Pearson Correlation Coefficients')

# PITCH DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,3]

#my_rho = np.corrcoef(x, y)
my_rho = stats.pearsonr(x, y)
#print('DIFS / BREATHINESS cor = ', my_rho)
print('DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('DIFS / BREATHINESS p = ', round(my_rho[1], dec))


# PITCH ABS DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,4]
my_rho = stats.pearsonr(x, y)
print('ABS DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('ABS DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH DIFFS MEL / BREATHINESS
x = COMP[:,5]
y = COMP[:,12]
my_rho = stats.pearsonr(x, y)
print('MEL DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('MEL DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP MIC / BREATHINESS
x = COMP[:,5]
y = COMP[:,6]
my_rho = stats.pearsonr(x, y)
print('CPP MIC / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP MIC / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP EGG / BREATHINESS
x = COMP[:,5]
y = COMP[:,7]
my_rho = stats.pearsonr(x, y)
print('CPP EGG / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP EGG / BREATHINESS p = ', round(my_rho[1], dec))

# DEGG OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,8]
my_rho = stats.pearsonr(x, y)
print('DEG OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('DEG OQ / BREATHINESS p = ', round(my_rho[1], dec))

# HOWARD OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,9]
my_rho = stats.pearsonr(x, y)
print('HOWARD OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('HOWARD OQ / BREATHINESS p = ', round(my_rho[1], dec))

print('')
print('___________________________________')
print('')

print('___________________________________')
print('Spearman Correlation Coefficients')

# PITCH DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,3]
my_rho = stats.spearmanr(x, y)
#print('DIFS / BREATHINESS cor = ', my_rho)
print('DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH ABS DIFS / BREATHINESS
x = COMP[:,5]
y = COMP[:,4]
my_rho = stats.spearmanr(x, y)
print('ABS DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('ABS DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH DIFFS MEL / BREATHINESS
x = COMP[:,5]
y = COMP[:,12]
my_rho = stats.spearmanr(x, y)
print('MEL DIFS / BREATHINESS cor = ', round(my_rho[0], dec))
print('MEL DIFS / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP MIC / BREATHINESS
x = COMP[:,5]
y = COMP[:,6]
my_rho = stats.spearmanr(x, y)
print('CPP MIC / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP MIC / BREATHINESS p = ', round(my_rho[1], dec))

# PITCH CPP EGG / BREATHINESS
x = COMP[:,5]
y = COMP[:,7]
my_rho = stats.spearmanr(x, y)
print('CPP EGG / BREATHINESS cor = ', round(my_rho[0], dec))
print('CPP EGG / BREATHINESS p = ', round(my_rho[1], dec))

# DEGG OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,8]
my_rho = stats.spearmanr(x, y)
print('DEG OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('DEG OQ / BREATHINESS p = ', round(my_rho[1], dec))

# HOWARD OQ / BREATHINESS
x = COMP[:,5]
y = COMP[:,9]
my_rho = stats.spearmanr(x, y)
print('HOWARD OQ / BREATHINESS cor = ', round(my_rho[0], dec))
print('HOWARD OQ / BREATHINESS p = ', round(my_rho[1], dec))

print('')
print('___________________________________')
print('')

print('MEANS')
column_means = COMP.mean(axis=0)

print("MIC PITCH")
print(column_means[1])

print("MEL MIC PITCH")
print(column_means[10])

print("EGG PITCH")
print(column_means[2])

print("MEL EGG PITCH")
print(column_means[11])

print("SUB PITCH")
print(column_means[3])

print("MEL SUB PITCH")
print(column_means[12])

print("ABS SUB PITCH")
print(column_means[4])

print("BR EVAL")
print(column_means[5])

print("CPP EVAL")
print(column_means[6])

print("CPP EGG EVAL")
print(column_means[7])

print("DEGOQ")
print(column_means[8])

print("HOQ")
print(column_means[9])

print('')
print('___________________________________')
print('')

print('CLASSES (<=0.8, <=1.6, <=2.4, <=3.2, <=4)')

l = COMP.shape[0]
c = COMP.shape[1]
#print(c)
SUMS = np.zeros((5, c))
count0 = 0
count1 = 0
count2 = 0
count3 = 0
count4 = 0

for i in range (0, l):
    if (COMP[i][5] < 0.75):
      SUMS[0][0] = SUMS[0][0] + 1
      SUMS[0][1:] = SUMS[0][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 1.6):
      SUMS[1][0] = SUMS[1][0] + 1
      SUMS[1][1:] = SUMS[1][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 2.4):
      SUMS[2][0] = SUMS[2][0] + 1
      SUMS[2][1:] = SUMS[2][1:] + COMP[i][1:]
    elif (COMP[i][5] <= 3.2):
      SUMS[3][0] = SUMS[3][0] + 1
      SUMS[3][1:] = SUMS[3][1:] + COMP[i][1:]
    else:
      SUMS[4][0] = SUMS[4][0] + 1
      SUMS[4][1:] = SUMS[4][1:] + COMP[i][1:]

print('SUM VALUES')
print(SUMS)
print('SAMLES: ', l)
#print(SUMS[0]+SUMS[1]+SUMS[2]+SUMS[3]+SUMS[4])
#print(SUMS[0][0]+SUMS[1][0]+SUMS[2][0]+SUMS[3][0]+SUMS[4][0])
#SUMS2 = np.zeros((1, 13))
#for k in range (0, 426):
#  SUMS2[0] = SUMS2[0] + COMP_CLEAN[k]
#print(SUMS2)

print('')
print('___________________________________')
print('')

print('MEAN VALUES')
MEAN = np.zeros((5, c))
for m in range (1, c):
  MEAN[0][m] = SUMS[0][m]/SUMS[0][0]
  MEAN[1][m] = SUMS[1][m]/SUMS[1][0]
  MEAN[2][m] = SUMS[2][m]/SUMS[2][0]
  MEAN[3][m] = SUMS[3][m]/SUMS[3][0]
  MEAN[4][m] = SUMS[4][m]/SUMS[4][0]
print(MEAN)
#print(SUMS[0][0], SUMS[1][0], SUMS[2][0], SUMS[3][0], SUMS[4][0])

print('')
print('___________________________________')
print('')